Bug 1558991

Summary: 19% regression on smallfile appends over
Product: Red Hat Gluster Storage Reporter: Karan Sandha <ksandha>
Component: arbiterAssignee: Karthik U S <ksubrahm>
Status: CLOSED ERRATA QA Contact: Karan Sandha <ksandha>
Severity: high Docs Contact:
Priority: high    
Version: rhgs-3.4CC: ksandha, ksubrahm, rhinduja, rhs-bugs, sheggodu, smali, storage-qa-internal
Target Milestone: ---Keywords: Regression
Target Release: RHGS 3.4.0   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: glusterfs-3.12.2-13 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-09-04 06:44:20 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1503137    

Description Karan Sandha 2018-03-21 13:14:21 UTC
Description of problem:
Regression seen on smallfile append from rhgs 3.3.1 to rhgs 3.4.0 on fuse mount. 

Version-Release number of selected component (if applicable):
3.12.2-5

How reproducible:
100%
profile infos are kept at sosreports are placed at sosreport and statedumps at mount -t cifs -oguest
//newtssuitcase.lab.eng.blr.redhat.com/newtssuitcase /BZ_sosreports/Karan/Porfile_info/

Steps to Reproduce:
1. Run small-file creates on 6 node setup using 6 client machines below command qeSyncDropCaches.sh; python /small-files/smallfile/smallfile_cli.py --operation append --threads 8 --file-size 64 --files 5000 --top /gluster-mount  --host-set "`echo $CLIENT | tr ' ' ','`"
2. now compare the same with RHGS 3.3.1 i.e 3.8.4.54.3 


Actual results:
Regression seen between release  

Expected results:
No regression should be observed


Additional info:
not a brick mux setup.
The performance numbers weren't consistent i.e after every iterations the regression was more. 
regression seen on 2x2 volume also

Comment 3 Karan Sandha 2018-03-22 07:17:42 UTC
Profile infos at

mount -t cifs -oguest //newtssuitcase.lab.eng.blr.redhat.com/newtssuitcase

/BZ_sosreports/ksandha/Porfile_info

Comment 7 Karthik U S 2018-03-23 09:52:39 UTC
Karan,

Please provide the strace output of the brick processes.

Comment 12 Sunil Kumar Acharya 2018-06-27 03:05:51 UTC
Upstream patch: https://review.gluster.org/#/c/20392/

Comment 17 errata-xmlrpc 2018-09-04 06:44:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607